<label [attr.for]="inputId"
       [class.cui-radio-left]="align === 'left'"
       [class.cui-radio-right]="align === 'right'"
       [class.cui-radio-right-spread]="align === 'right-spread'"
       [class.cui-radio-left-spread]="align === 'left-spread'"
       (click)="clickFocused()">
  <span class="cui-radio-container">
    <span class="cui-radio-outer-circle"></span>
    <span class="cui-radio-inner-circle"></span>
     <input type="radio" class="cui-radio-input cui-visually-hidden"
            [id]="inputId"
            [required]="required"
            [checked]="checked"
            [attr.value]="value || null"
            [disabled]="disabled"
            [attr.name]="name"
            [tabIndex]="tabIndex"
            [attr.aria-label]="ariaLabel || null"
            [attr.aria-labelledby]="ariaLabelledby"
            [attr.aria-describedby]="ariaDescribedby"
            (change)="changed($event)"
            (click)="inputClicked($event)">
  </span>
  <span class="cui-radio-label" [class.cui-radio-labeled]="label.textContent?.trim()" #label>
    <ng-content></ng-content>
  </span>
</label>
